SolrInfoMBean (Solr 3.6.2 API)
Keywords: org.apache.solr.core.SolrInfoMBean interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.core
Interface SolrInfoMBean

All Known Subinterfaces:
  SolrCache<K,V>, SolrEncoder, SolrFormatter, SolrFragListBuilder, SolrFragmenter, SolrRequestHandler

All Known Implementing Classes:
  AdminHandlers, AnalysisRequestHandler, AnalysisRequestHandlerBase, BinaryUpdateRequestHandler, BreakIteratorBoundaryScanner, ClusteringComponent, ContentStreamHandlerBase, CoreAdminHandler, CSVRequestHandler, DataImportHandler, DebugComponent, DefaultEncoder, DirectUpdateHandler, DirectUpdateHandler2, DisMaxRequestHandler, DisMaxRequestHandler, DocumentAnalysisRequestHandler, DumpRequestHandler, ExtractingRequestHandler, FacetComponent, FastLRUCache, FieldAnalysisRequestHandler, FileFloatSource.ReloadCacheRequestHandler, GapFragmenter, HighlightComponent, HighlightingPluginBase, HtmlEncoder, HtmlFormatter, JsonUpdateRequestHandler, LFUCache, LRUCache, LukeRequestHandler, MoreLikeThisComponent, MoreLikeThisHandler, OldRequestHandler, PingRequestHandler, PluginInfoHandler, PropertiesRequestHandler, QueryComponent, QueryElevationComponent, RegexFragmenter, ReplicationHandler, RequestHandlerBase, ScoreOrderFragmentsBuilder, SearchComponent, SearchHandler, ShowFileRequestHandler, SimpleBoundaryScanner, SimpleFragListBuilder, SimpleFragmentsBuilder, SingleFragListBuilder, SolrBoundaryScanner, SolrCore, SolrFieldCacheMBean, SolrFragmentsBuilder, SolrIndexSearcher, SolrInfoMBeanHandler, SpellCheckComponent, SpellCheckerRequestHandler, StandardRequestHandler, StandardRequestHandler, StatsComponent, SystemInfoHandler, TermsComponent, TermVectorComponent, TestRequestHandler, ThreadDumpHandler, UpdateHandler, XmlUpdateRequestHandler, XsltUpdateRequestHandler

    public interface SolrInfoMBean

MBean interface for getting various ui friendly strings and URLs for use by objects which are 'pluggable' to make server administration easier.

Version:
  $Id: SolrInfoMBean.java 555343 2007-07-11 17:46:25Z hossman $

Nested Class Summary
`static class` | `SolrInfoMBean.Category`

Method Summary
`SolrInfoMBean.Category` | `getCategory()` Purpose of this Class
`String` | `getDescription()` Simple one or two line description
`URL[]` | `getDocs()` Documentation URL list.
`String` | `getName()` Simple common usage name, e.g.
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`NamedList` | `getStatistics()` Any statistics this instance would like to be publicly available via the Solr Administration interface.
`String` | `getVersion()` Simple common usage version, e.g.

Method Detail

### getName

    String getName()

  Simple common usage name, e.g. BasicQueryHandler, or fully qualified clas name.

### getVersion

    String getVersion()

  Simple common usage version, e.g. 2.0

### getDescription

    String getDescription()

  Simple one or two line description

### getCategory

    SolrInfoMBean.Category getCategory()

  Purpose of this Class

### getSourceId

    String getSourceId()

  CVS Id, SVN Id, etc

### getSource

    String getSource()

  CVS Source, SVN Source, etc

### getDocs

    URL[] getDocs()

  Documentation URL list.

  Suggested documentation URLs: Homepage for sponsoring project, FAQ on class usage, Design doc for class, Wiki, bug reporting URL, etc...

### getStatistics

    NamedList getStatistics()

  Any statistics this instance would like to be publicly available via the Solr Administration interface.

  Any Object type may be stored in the list, but only the `toString()` representation will be used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD